%global base_name lang
%global short_name commons-%{base_name}3

Name:          apache-%{short_name}
Version:       3.0.1
Release:       %mkrel 1
Summary:       Provides a host of helper utilities for the java.lang API
Group:         Development/Java
License:       ASL 2.0
URL:           http://commons.apache.org/%{base_name}
Source0:       http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
# org.codehaus.mojo clirr-maven-plugin 2.2.2
Patch0:        apache-commons-lang3-3.0.1-no_clirr-plugin.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: apache-commons-parent

BuildRequires: apache-commons-io
BuildRequires: junit4
BuildRequires: easymock2

BuildRequires: findbugs-maven-plugin

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-pmd-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-skins

BuildRequires: taglist-maven-plugin
BuildRequires: javancss-maven-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch


%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.
The Commons Lang Component provides a host of helper utilities for the
java.lang API, notably String manipulation methods, basic numerical
methods, object reflection, creation and serialization, and System
properties. Additionally it contains an inheritable enum type, an
exception structure that supports multiple types of nested-Exceptions
and a series of utilities dedicated to help with building methods, such
as hashCode, toString and equals.

With version of commons-lang 3.x, developers decided to change API and
therefore created differently named artifact and jar files. This is
the new version, while apache-commons-lang is the compatibility
package.

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
The Commons Lang Component provides a host of helper utilities for the
java.lang API.

This package contains API documentation for %{name}

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate site

%install

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 target/%{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/%{short_name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
#rm -rf target/site/apidocs
#sed -i "s|api-release/index.html|%{buildroot}%{_javadocdir}/%{name}/index.html|" target/site/index.html
#sed -i "s|apidocs/index.html|%{buildroot}%{_javadocdir}/%{name}/index.html|" target/site/index.html

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{short_name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt RELEASE-NOTES.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}
#doc target/site/*


%changelog

* Wed Nov 23 2011 gil <gil> 3.0.1-1.mga2
+ Revision: 171513
- imported package apache-commons-lang3

